Package wx :: Module wizard :: Class WizardEvent

[frames | no frames]

## Type WizardEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            WizardEvent

Proxy of C++ WizardEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
bool | `GetDirection(self)`
WizardPage | `GetPage(self)`

Property Summary
| `Direction`: See `GetDirection`
| `Page`: See `GetPage`
| `thisown`: The membership flag

Method Details

### __init__(self, type=wxEVT_NULL, id=-1, direction=True, page=None)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### Direction

See `GetDirection`

  Get Method:
    `GetDirection`(self)

### Page

See `GetPage`

  Get Method:
    `GetPage`(self)

### thisown

The membership flag

  Get Method:
    unknown--1272768500(...)
  Set Method:
    unknown--1272768444(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:12 2007 | http://epydoc.sf.net